DOMDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ext

## Class DOMDeserializer<T>

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<T>
  - - org.codehaus.jackson.map.deser.std.StdDeserializer<T>
    - - org.codehaus.jackson.map.deser.std.StdScalarDeserializer<T>
      - - org.codehaus.jackson.map.deser.std.FromStringDeserializer<T>
        - - org.codehaus.jackson.map.ext.DOMDeserializer<T>

- Direct Known Subclasses:
    DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer

      public abstract class DOMDeserializer<T>
      extends FromStringDeserializer<T>

  Base for serializers that allows parsing DOM Documents from JSON Strings. Nominal type can be either `Node` or `Document`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DOMDeserializer.DocumentDeserializer`
    `static class` | `DOMDeserializer.NodeDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.FromStringDeserializer

      `FromStringDeserializer.CharsetDeserializer, FromStringDeserializer.CurrencyDeserializer, FromStringDeserializer.InetAddressDeserializer, FromStringDeserializer.LocaleDeserializer, FromStringDeserializer.PatternDeserializer, FromStringDeserializer.TimeZoneDeserializer, FromStringDeserializer.URIDeserializer, FromStringDeserializer.URLDeserializer, FromStringDeserializer.UUIDDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `StdDeserializer.BigDecimalDeserializer, StdDeserializer.BigIntegerDeserializer, StdDeserializer.BooleanDeserializer, StdDeserializer.ByteDeserializer, StdDeserializer.CharacterDeserializer, StdDeserializer.DoubleDeserializer, StdDeserializer.FloatDeserializer, StdDeserializer.IntegerDeserializer, StdDeserializer.LongDeserializer, StdDeserializer.NumberDeserializer, StdDeserializer.PrimitiveOrWrapperDeserializer<T>, StdDeserializer.ShortDeserializer, StdDeserializer.SqlDateDeserializer, StdDeserializer.StackTraceElementDeserializer`

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_valueClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DOMDeserializer(Class<T> cls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `_deserialize(String value, DeserializationContext ctxt)`
    `protected Document` | `parse(String value)`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.FromStringDeserializer

      `_deserializeEmbedded, all, deserialize`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.deser.std.StdDeserializer

      `_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultSerializer, parseDouble, reportUnknownProperty`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `deserialize, getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMDeserializer

          protected DOMDeserializer(Class<T> cls)

  - ### Method Detail

    - #### _deserialize

          public abstract T _deserialize(String value,
                       DeserializationContext ctxt)

      Specified by:
        `_deserialize` in class `FromStringDeserializer<T>`

    - #### parse

          protected final Document parse(String value)
                                  throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`